Index: lib/CGI/Wiki.pm
===================================================================
--- lib/CGI/Wiki.pm	(revision 1333)
+++ lib/CGI/Wiki.pm	(working copy)
@@ -861,6 +861,10 @@
 sub format {
     my ( $self, $raw, $metadata ) = @_;
     my $formatter = $self->formatter;
+
+    # Ensure unix line endings
+    $raw =~ s/(\012|\015\012?)/\012/g;
+
     # Add on $self to the call so the formatter can access things like whether
     # a linked-to node exists, etc.
     my $result = $formatter->format( $raw, $self, $metadata );
